Buckyput

Buckyput

1.1.0-beta.1OAS 3.0

Buckyput is used to upload data files to Buckets from where they can be ingested into the M-ADP plattfrom for further analysis.

API Base URL
  • Server 1:https://api-qual.migros.ch

    URL of upstream

Security
Basic-Auth (http)

Kong basic-auth authentication

Kong-Api-Key (apiKey)

Kong key-auth authentication

Additional Information
Contact MGB-UDP-Business-Services (arg_mgb-udp-business-services@mgb.ch)

Upload

Upload File

Route for uploading file data to the desired folder of a bucket.

post
https://api-qual.migros.ch/migros/enterprise-support/adp-upload/v1/file

Query Parameters

folderstring

The folder name inside the bucket, where the files will be stored

Body

multipart/form-data

File to upload.

filestring

Response

Upload was successful.

post/migros/enterprise-support/adp-upload/v1/file

Body

 
Error initializing code snippet

Upload Raw

Route for uploading raw data to the desired folder of a bucket.

The POST body is saved as a file to the bucket. The path to the file is determined by the folder parameter with a Year/Month/Day component added. The actual filename is created from the current time HourMinuteSecond augmented by optional pre- and suffix.

post
https://api-qual.migros.ch/migros/enterprise-support/adp-upload/v1/raw

Query Parameters

folderstring

The folder name inside the bucket, where the files will be stored

file_prefixstring

The prefix of the autogenerated file name. It will be ignored if the file name is defined in the Content-Disposition header.

file_suffixstring

The suffix of the autogenerated file name. It will be ignored if the file name is defined in the Content-Disposition header.

Headers

Content-Dispositionstring

An optional header used to define the file name. Only the filname is used, the media type is ignored.

Note: The use if this header is uncommon and included for backward compatibility only. If you are tempted to use it, you might want to consider switching to the “Upload File” route.

Body

Data to upload.

string

Response

Upload was successful.

post/migros/enterprise-support/adp-upload/v1/raw

Body

No file selected
 

GUI